Subject: Re: bug#25361: info_TEXINFOS cannot be set conditionally?

From: Mathieu Lirzin <[email-masked]>
Date: Sun, 16 Jul 2017 01:35:57 +0200

Hello,

Benno Schulenberg <[email-masked]> writes:

> On Sat, Jan 7, 2017, at 17:27, Hans-Bernhard Bröker wrote:
>> People using git sources can and should be expected to have more
>> complete tool chests than others, and makeinfo is well within the bounds
>> of what constitutes a reasonable tool collection for anyone wanting to
>> build GNU software from sources.
>
> True.
>
>> > So, if nano.info and nano.html are already there, install them, but
>> > if they are not and 'makeinfo' is absent, don't even /try/ to build
>> > them. I don't see how I can achieve that.
>> 
>> You shouldn't.  Pretending the build, much less install, was successful
>> despite such a lack of documentation is just a bad idea.
>
> Okay.
>
> Benno

As explained by Hans-Bernhard, I think it is acceptable for a packages
having a Texinfo based documentation to require its contributors to have
'makeinfo' installed.

Thanks for the report.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37